# $Revision: 1.31 $, $Date: 2002/10/11 09:08:18 $
Summary:	Truetype font rasterizer
Summary(pl):	Rasteryzer fontw Truetype
Name:		freetype1
Version:	1.3.1
Release:	10
License:	BSD-like
Group:		Libraries
Source0:	ftp://ftp.freetype.org/freetype/freetype1/freetype-%{version}.tar.gz
Patch0:		freetype-DESTDIR.patch
Patch1:		freetype-autoconf.patch
URL:		http://www.physiol.med.tu-muenchen.de/~robert/freetype.html
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The FreeType engine is a free and portable TrueType font rendering
engine. It has been developed to provide TrueType support to a great
variety of platforms and environments.

Note that FreeType is a *library*. It is not a font server for your
favorite platform, even though it was designed to be used in many of
them. Note also that it is *not* a complete text-rendering library.
Its purpose is simply to open and manage font files, as well as load,
hint and render individual glyphs efficiently. You can also see it as
a "TrueType driver" for a higher-level library, though rendering text
with it is extremely easy, as demo-ed by the test programs.

%description -l pl
FreeType jest bibliotek suc do rasteryzacji fontw TrueType. Jest
to jedynie biblioteka, a nie serwer fontw, chocia zostaa ona
zaprojektowana do uywania take w takich serwerach. Nie jest to te
kompletna biblioteka do rasteryzacji tekstu. Jej celem jest tylko
odczytywanie i zarzdzanie plikami z fontami oraz wczytywanie i
wykonywanie hintingu i rasteryzacji poszczeglnych glifw. Moe by
take uwaana za "sterownik TrueType" dla bibliotek wyszego poziomu,
jednak uycie samej biblioteki FreeType do rasteryzacji jest bardzo
proste, co mona zobaczy w programach demonstracyjnych.

%package devel
Summary:	Header files and development documentation
Summary(pl):	Pliki nagwkowe biblioteki freetype i dokumentacja
Group:		Development/Libraries
Requires:	%{name} = %{version}
Provides:	freetype-devel = %{version}

%description devel
This package includes the header files documentations and libraries
necessary to develop applications that use freetype.

%description devel -l pl
Pakiet ten zawiera pliki nagwkowe oraz biblioteki niezbdne przy
kompilowaniu programw wykorzystujcych bibliotek freetype.

%package static
Summary:	Freetype static libraries
Summary(pl):	Biblioteki statyczne freetype
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}
Provides:	freetype-static = %{version}

%description static
Static freetype libraries.

%description static -l pl
Biblioteki statyczne freetype.

%package progs
Summary:	Freetype library utilities
Summary(pl):	Programy uytkowe freetype
Group:		Applications
Requires:	%{name} = %{version}
Provides:	freetype-progs = %{version}
Obsoletes:	freetype-utils
Obsoletes:	freetype-tools

%description progs
Freetype library utilites:
- ftimer - a simple performance timer for the engine,
- fzoom - very simple glyph viewer,
- ftlint - program will hint each glyph of a font file, at a given
  point size,
- ftwiew - display all glyphs in a given font, applying hinting to
  each one,
- fdump - a simple TrueType font or collection dumper,
- ftstring - a simple program to show off string text generation.
- ftstrpn - convert a rendered text string into the PGM or PBM format,
- fterror - small test program. Tests the gettext() functionality for
  internationalized messages.

%description progs -l pl
Przykadowe aplikacje wykorzystujce freetype:
- ftimer - narzdzie mierzce szybko silnika
- fzoom - prosta przegldarka glifw
- ftlint - program robicy hinting kadego glifu z fontu przy podanym
  rozmiarze
- ftview - program wywietlajcy z hintingiem wszystkie glify z fontu
- fdump - narzdzie zrzucajce dane z fontu lub zestawu fontw TT
- ftstring - prosty program obrazujcy generowanie tekstu
- ftstrpn - konwerter zrenderowanego tekstu na format PGM/PBM
- fterror - prosty program testujcy dziaanie gettext() w
  zlokalizowanych komunikatach.
  
%prep
%setup -q -n freetype-%{version}
%patch0 -p1
%patch1 -p1

%build
install /usr/share/automake/missing .
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
        --enable-static \
        --with-gnu-ld
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang freetype

# resolve conflict with freetype-demos-2.*
mv -f $RPM_BUILD_ROOT%{_bindir}/{ftdump,ft1dump}
mv -f $RPM_BUILD_ROOT%{_bindir}/{ftlint,ft1lint}
mv -f $RPM_BUILD_ROOT%{_bindir}/{ftview,ft1view}
mv -f $RPM_BUILD_ROOT%{_bindir}/{fttimer,ft1timer}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f freetype.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*so.*.*

%files devel
%defattr(644,root,root,755)
%doc howto/unix.txt README announce docs/{*.txt,FAQ,TODO,credits}
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/f*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: freetype1.spec,v $
Revision 1.31  2002/10/11 09:08:18  qboosh
- more conflicts between -progs and freetype-demos-2.* resolved; release 10

Revision 1.30  2002/10/10 07:57:50  qboosh
- resolved conflict between -progs and freetype-demos-2.*; release 9

Revision 1.29  2002/10/09 13:14:22  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.28  2002/07/22 13:31:37  qboosh
- removed Provides: freetype from base package (evil - confuses poldek)
- fixed pl description
- release 8

Revision 1.27  2002/07/19 19:30:41  qboosh
- added Provides: freetype* = %%{version}, new %%doc, release 7

Revision 1.26  2002/06/23 20:52:49  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.25  2002/06/23 20:32:23  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.24  2002/05/21 23:13:02  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.23  2002/04/25 16:19:44  arturs
fixed a small typo

Revision 1.22  2002/04/21 22:49:11  kloczek
- bump to release 6 (fix broken ft1 packages on ppc).

Revision 1.21  2002/04/16 16:44:01  mmazur
- back to the old freetype1

Revision 1.20  2002/04/13 20:48:27  mmazur
- changed freetype1 header files directory... so needed to fix a few
packages; rel++; STBR
- NOTE: this is needed for mozilla to build correctly (not to conflict
with freetype1)
- NOTE2: not one binary file was altered since the previous release

Revision 1.19.2.2  2002/04/12 11:45:08  misiek
- fix LOCALEDIR; release 5

Revision 1.19.2.1  2002/04/10 15:07:43  mmazur
- changed /usr/include/freetype to /usr/include/freetype1/freetype

Revision 1.19  2002/04/06 21:16:43  qboosh
- removed ttmkfdir, nospaces patch is out, foundrynames patch moved to
  ttmkfdir package (which is rather obsoleted though - by ttmkfdir2)
- release 4

Revision 1.18  2002/03/27 11:33:43  roman
s/BSDish/BSD-like in License

Revision 1.17  2002/03/27 10:37:16  roman
- License: BSD like --> License: BSDish

Revision 1.16  2002/02/23 02:06:15  kloczek
- adapterized.

Revision 1.15  2002/02/22 23:28:55  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/02 20:10:01  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.13  2002/02/01 00:25:20  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.12  2002/01/18 02:12:58  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2002/01/03 09:52:21  ankry
- updated Source URL

Revision 1.10  2002/01/02 22:55:42  kloczek
- release 3: freetype-tools added to Obsoletes for allow upgrade from MDK.

Revision 1.9  2001/06/04 15:00:18  kloczek
- release 2: added autoconf, automake and libtool to BuildRequires.

Revision 1.8  2001/06/04 14:41:11  baggins
- added libtoolize to %%build

Revision 1.7  2001/05/02 00:42:08  qboosh
- adapterized and made spec %%debug ready or using %%rpm*flags macros

Revision 1.6  2001/03/19 12:55:56  kloczek
- fixed using %%find_lang (pass freetype name).

Revision 1.5  2001/03/19 12:13:55  kloczek
- fixed %setup.

Revision 1.4  2001/03/19 12:01:58  kloczek
- also fixes patches file names.

Revision 1.3  2001/03/19 12:00:12  kloczek
- also fixed Source url.

Revision 1.2  2001/03/19 11:57:12  kloczek
- realy rename.
